package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterUtilsRoutes(api fiber.Router, f *facade.Facade) {

	utils := api.Group("/v1/web/utils")

	utils.Get("/getapptypes", f.UtilsController.GetAppTypes)
	// utils.Post("/notifyuser", f.UtilsController.NotifyUser)
	utils.Get("/getsubcategories", f.UtilsController.GetSubcategories)
	utils.Get("/getapplocations", f.UtilsController.GetApplocations)
	utils.Get("/getappcategories", f.UtilsController.GetAppCategory)

	utils = api.Group("/v1/mob/utils")

	utils.Get("/getapplocationconfig", f.UtilsController.GetApplocationConfig)
	// utils.Post("/notifyadmin", f.UtilsController.NotifyAdmin)
	utils.Get("/getapplocations", f.UtilsController.GetApplocations)
	utils.Get("/getapptypes", f.UtilsController.GetAppTypes)
	utils.Get("/getappconfig", f.UtilsController.GetAppConfig)
	utils.Get("/getsubcategories", f.UtilsController.GetSubcategories)
	utils.Get("/getappcategories", f.UtilsController.GetAppCategory)

}
